/// <reference types="react" />
import * as React from "react";
import { ImageStyle, TextStyle, ViewStyle } from "react-native";
import { RouteConfig } from "./types/RouteConfig";
export interface RouterProps {
    config?: RouteConfig;
    style?: {
        [key: string]: ViewStyle | TextStyle | ImageStyle;
    };
}
export interface RouterState {
    headerScene?: string;
    currentScene?: string;
    footerScene?: string;
}
export declare class Router extends React.Component<RouterProps, RouterState> {
    static go(scene: string, params?: any): void;
    static back(): void;
    private disposables;
    constructor(props: Readonly<RouterProps>);
    componentDidMount(): void;
    componentWillUnmount(): void;
    render(): JSX.Element;
    private onCurrentSceneChange(currentScene);
    private findCurrentSceneConfig();
    private renderHeaderScene();
    private renderCurrentScene();
    private renderFooterScene();
    private getParams();
}
