"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var rx_1 = require("rx");
var immutable_1 = require("immutable");
var RouterStore = /** @class */ (function () {
    function RouterStore() {
        this.sceneStackList = immutable_1.List().asMutable();
        this.currentSceneValue = "";
        this.currentSceneSubject = new rx_1.BehaviorSubject(this.currentSceneValue);
        this.params = {};
    }
    RouterStore.prototype.currentScene = function () {
        return this.currentSceneSubject;
    };
    RouterStore.prototype.updateCurrentScene = function (currentSceneValue, params) {
        this.params = params || {};
        if (this.currentSceneValue !== currentSceneValue) {
            this.currentSceneValue = currentSceneValue;
            this.sceneStackList.push(this.currentSceneValue);
            this.currentSceneSubject.onNext(this.currentSceneValue);
        }
    };
    RouterStore.prototype.popScene = function () {
        this.sceneStackList.pop();
        this.currentSceneValue = this.sceneStackList.last();
        this.currentSceneSubject.onNext(this.currentSceneValue);
    };
    RouterStore.prototype.getParams = function () {
        return this.params;
    };
    RouterStore.prototype.getCurrentScene = function () {
        return this.currentSceneValue;
    };
    return RouterStore;
}());
exports.RouterStore = RouterStore;
exports.routerStore = new RouterStore();
